It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
I've tried the fix here with no success. The only error-type message I get is "untested windows version 6.2 detected!"

EDIT: I contacted support and apparently Windows 10 is not supported. Though I believe there has to be some way to get it to work in one capacity or another, it would be really nice if they made that more obvious on the store page.
Post edited December 17, 2015 by OCD_Monkey
No posts in this topic were marked as the solution yet. If you can help, add your reply